
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;
import com.tmerclub.cloud.api.payment.constant.PaySysType;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商家钱包信息
 *
 * @author tmerclub
 * @date 2021-01-07 16:41:03
 */
public class ShopWallet extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺钱包id
     */
    private Long shopWalletId;

    /**
     * 支付系统类型
     * @see PaySysType
     */
    private Integer paySysType;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 未结算金额（用户支付）
     */
    private Long unsettledAmount;

    /**
     * 已结算金额（用户确认收货后，可以提现）
     */
    private Long settledAmount;

    /**
     * 冻结金额（用户确认收货）
     */
    private Long freezeAmount;

    /**
     * 累积结算金额
     */
    private Long totalSettledAmount;

    /**
     * 可用短信数量
     */
    private Integer smsNum;

    /**
     * 乐观锁
     */
    private Long version;

    public Long getShopWalletId() {
        return shopWalletId;
    }

    public void setShopWalletId(Long shopWalletId) {
        this.shopWalletId = shopWalletId;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getUnsettledAmount() {
        return unsettledAmount;
    }

    public void setUnsettledAmount(Long unsettledAmount) {
        this.unsettledAmount = unsettledAmount;
    }

    public Long getSettledAmount() {
        return settledAmount;
    }

    public void setSettledAmount(Long settledAmount) {
        this.settledAmount = settledAmount;
    }

    public Long getFreezeAmount() {
        return freezeAmount;
    }

    public void setFreezeAmount(Long freezeAmount) {
        this.freezeAmount = freezeAmount;
    }

    public Long getTotalSettledAmount() {
        return totalSettledAmount;
    }

    public void setTotalSettledAmount(Long totalSettledAmount) {
        this.totalSettledAmount = totalSettledAmount;
    }

    public Integer getSmsNum() {
        return smsNum;
    }

    public void setSmsNum(Integer smsNum) {
        this.smsNum = smsNum;
    }

    public Long getVersion() {
        return version;
    }

    public void setVersion(Long version) {
        this.version = version;
    }

    @Override
    public String toString() {
        return "ShopWallet{" +
                "shopWalletId=" + shopWalletId +
                ", paySysType=" + paySysType +
                ", shopId=" + shopId +
                ", unsettledAmount=" + unsettledAmount +
                ", settledAmount=" + settledAmount +
                ", freezeAmount=" + freezeAmount +
                ", totalSettledAmount=" + totalSettledAmount +
                ", smsNum=" + smsNum +
                ", version=" + version +
                '}';
    }
}
